package com.ruoyi.back.mapper;

import java.util.List;
import com.ruoyi.back.domain.PdDirectionManual;
import org.apache.ibatis.annotations.Param;

/**
 * matchMapper接口
 * 
 * @author voluntary
 * @date 2023-05-10
 */
public interface PdDirectionManualMapper 
{
    public void batchInsert(@Param("list") List<PdDirectionManual> pdDirectionManuals);

    public void truncateTable();

    /**
     * 查询match
     * 
     * @param direction match主键
     * @return match
     */
    public PdDirectionManual selectPdDirectionManualByDirection(String direction);

    /**
     * 查询match列表
     * 
     * @param pdDirectionManual match
     * @return match集合
     */
    public List<PdDirectionManual> selectPdDirectionManualList(PdDirectionManual pdDirectionManual);

    /**
     * 新增match
     * 
     * @param pdDirectionManual match
     * @return 结果
     */
    public int insertPdDirectionManual(PdDirectionManual pdDirectionManual);

    /**
     * 修改match
     * 
     * @param pdDirectionManual match
     * @return 结果
     */
    public int updatePdDirectionManual(PdDirectionManual pdDirectionManual);

    /**
     * 删除match
     * 
     * @param direction match主键
     * @return 结果
     */
    public int deletePdDirectionManualByDirection(String direction);

    /**
     * 批量删除match
     * 
     * @param directions 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePdDirectionManualByDirections(String[] directions);
}
